package com.zhongzheng.modules.exam.service;

import com.zhongzheng.modules.exam.domain.ExamNumber;
import com.zhongzheng.modules.exam.vo.ExamNumberVo;
import com.zhongzheng.modules.exam.bo.ExamNumberQueryBo;
import com.zhongzheng.modules.exam.bo.ExamNumberAddBo;
import com.zhongzheng.modules.exam.bo.ExamNumberEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 考试次数配置Service接口
 *
 * @author ruoyi
 * @date 2021-12-06
 */
public interface IExamNumberService extends IService<ExamNumber> {
	/**
	 * 查询单个
	 * @return
	 */
	ExamNumberVo queryById(Long examNumberId);

	/**
	 * 查询列表
	 */
	List<ExamNumberVo> queryList(ExamNumberQueryBo bo);

	/**
	 * 根据新增业务对象插入考试次数配置
	 * @param bo 考试次数配置新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ExamNumberAddBo bo);

	/**
	 * 根据编辑业务对象修改考试次数配置
	 * @param bo 考试次数配置编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ExamNumberEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<ExamNumberVo> ListExamNumber(ExamNumberQueryBo bo);
}
